[PATCH] kmerge: do not use --nodeps with kernel install

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] kmerge: do not use --nodeps with kernel install

Mike Frysinger
The kernel might pull in some tools needed to build it (like bc), so don't
merge it with --nodeps.  Seems like its inclusion in fed3b45bb608d2022fbc2
was an oversight.
---
 targets/support/kmerge.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/targets/support/kmerge.sh b/targets/support/kmerge.sh
index 3d4afea..fc066cc 100755
--- a/targets/support/kmerge.sh
+++ b/targets/support/kmerge.sh
@@ -220,7 +220,7 @@ then
 
  [ -L /usr/src/linux ] && rm -f /usr/src/linux
 
- PKGDIR=${PKGDIR} clst_myemergeopts="--quiet --nodeps --update --newuse" run_merge "${clst_ksource}" || exit 1
+ PKGDIR=${PKGDIR} clst_myemergeopts="--quiet --update --newuse" run_merge "${clst_ksource}" || exit 1
 
  SOURCESDIR="/tmp/kerncache/${clst_kname}/sources"
  if [ -L /usr/src/linux ]
--
2.7.4


Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] kmerge: do not use --nodeps with kernel install

Mike Frysinger
On 23 Mar 2016 00:32, Mike Frysinger wrote:
> The kernel might pull in some tools needed to build it (like bc), so don't
> merge it with --nodeps.  Seems like its inclusion in fed3b45bb608d2022fbc2
> was an oversight.

i've pushed this now as it seems to fix things on the targets i've tested
-mike

signature.asc (836 bytes) Download Attachment